import { CreationOptional, InferAttributes, InferCreationAttributes, Model } from "sequelize";

export class Player extends Model<InferAttributes<Player>, InferCreationAttributes<Player>> {
    declare readonly user_id: string
    declare start: number
    declare spent: CreationOptional<number>
    declare elo: CreationOptional<number>
    declare slot1: CreationOptional<number>
    declare slot2: CreationOptional<number>
    declare slot3: CreationOptional<number>
}